Subject: Ticket Assigned - 9558963007 / escalation
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 24 Mar 2022 08:15:12 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9558963007 / escalation IKUMI                    Hello           11:58 AM, 24th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:58 AM, 24th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:58 AM, 24th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:58 AM, 24th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:58 AM, 24th Mar                     IKUMI                    I ordered the table last month and already requested a replacement           11:59 AM, 24th Mar                     IKUMI                             11:59 AM, 24th Mar                     IKUMI                    Because it was damaged           11:59 AM, 24th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            12:00 PM, 24th Mar                   New                   If you have any pictures that you would like to share, please do that.            12:00 PM, 24th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           12:00 PM, 24th Mar                     IKUMI                    It will be delivered today           12:00 PM, 24th Mar                     IKUMI                    Order number  9558963007           12:00 PM, 24th Mar                     IKUMI                             12:01 PM, 24th Mar                     IKUMI                    This table is still in my room I just came back from outside of Dubai           12:02 PM, 24th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            12:03 PM, 24th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           12:09 PM, 24th Mar                     IKUMI                    Okay I called the call centre now the delivery team will call me back on Saturday           12:12 PM, 24th Mar                     IKUMI                    But I thought it was today           12:12 PM, 24th Mar                     IKUMI                             12:12 PM, 24th Mar                     IKUMI                    Please arrange the delivery as soon as possible cause I already discussed it last month           12:13 PM, 24th Mar                   Ahmed                   We will make sure to arrange the delivery of your order as soon as possible, Kindly allow us some time to do the needful.           12:14 PM, 24th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4071282